RankedDocRef (BioJava-1.5-beta API)
Keywords: org.biojavax.RankedDocRef interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax
Interface RankedDocRef

All Superinterfaces:
  Comparable

All Known Implementing Classes:
  SimpleRankedDocRef

    public interface RankedDocRef

extends Comparable

Represents a documentary reference. Relates to the bioentryreference table in BioSQL.

Since:
  1.5
Author:
  Richard Holland
See Also:
  `DocRef`

Method Summary
`DocRef` | `getDocumentReference()` Represents a reference to a document.
`Integer` | `getEnd()` The end position in the sequence that this reference is referred to from.
`RichLocation` | `getLocation()` If this object was constructed using a location instead of two integers, then this method will return that location.
`int` | `getRank()` The rank of this reference.
`Integer` | `getStart()` The start position in the sequence that this reference is referred to from.

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getDocumentReference

    DocRef getDocumentReference()

  Represents a reference to a document. This value is intended to be set by the constructor of the implementing class.

  Returns:
    the document reference.

### getStart

    Integer getStart()

  The start position in the sequence that this reference is referred to from. This value is intended to be set by the constructor of the implementing class. The position returned is from 1 to the length of the sequence.

  Returns:
    the start position.

### getEnd

    Integer getEnd()

  The end position in the sequence that this reference is referred to from. This value is intended to be set by the constructor of the implementing class. The position returned is from 1 to the length of the sequence.

  Returns:
    the end position.

### getLocation

    RichLocation getLocation()

  If this object was constructed using a location instead of two integers, then this method will return that location. The getStart() and getEnd() methods will then return the min and max of that location, using the default location position resolver to resolve them to exact positions. If this object was constructed using two integers, then this method will return a simple location whose min and max correspond to those integers.

  Returns:
    the location of this reference on the sequence.

### getRank

    int getRank()

  The rank of this reference. This value is intended to be set by the constructor of the implementing class.

  Returns:
    the rank.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD